New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

TST: Add pandas wheels to Travis build #313

Merged
merged 1 commit into from May 9, 2017

Conversation

Projects
None yet
2 participants
@gfyoung
Contributor

gfyoung commented May 8, 2017

  • Add pandas 0.20.1 and master to Travis.
  • Drop 0.16.2 and Python 3.4 machines.

Closes #307.

@jreback

This comment has been minimized.

Contributor

jreback commented May 8, 2017

needs a rebase

also why don't we xfail the failing tests for the moment, just to get a green build (and create an issue to revert this).

@gfyoung

This comment has been minimized.

Contributor

gfyoung commented May 9, 2017

@jreback : Sure thing. I think what I'll do is put together a PR to patch the tests that will also close #303.

@gfyoung

This comment has been minimized.

Contributor

gfyoung commented May 9, 2017

@jreback : Also see my question about the availability of 0.20.1 on conda channels in the original issue here. So we might be able to get all green for everything but the 0.20.1 and master machines for now.

@gfyoung

This comment has been minimized.

Contributor

gfyoung commented May 9, 2017

@jreback : Rebase is done, but I want to fix up the master build because there is no reason to be installing numpy from source.

@jreback

This comment has been minimized.

Contributor

jreback commented May 9, 2017

conda install pandas -c conda-forge will get you the latest (defaults is usually a few days behind on a new release)

.travis.yml Outdated
# installing the correct versions.
- if [[ "$PANDAS" == "MASTER" ]]; then
conda install pandas;
PRE_WHEELS="https://7933911d6844c6c53a7d-47bd50c35cd79bd838daf386af554a83.ssl.cf2.rackcdn.com";

This comment has been minimized.

@jreback

jreback May 9, 2017

Contributor

pip install numpy pytz python-dateutil here, remove the conda install pandas and this should work.

This comment has been minimized.

@gfyoung

gfyoung May 9, 2017

Contributor

I would go with conda install numpy pytz python-dateutil, but yes, point well taken.

@gfyoung

This comment has been minimized.

Contributor

gfyoung commented May 9, 2017

@jreback : No longer an issue it seems. Also, FYI, when I install from the daily builds, it also pulls in the daily numpy build too (so not necessary to install numpy first, but still useful to install dependencies).

@jreback

This comment has been minimized.

Contributor

jreback commented May 9, 2017

@jreback : No longer an issue it seems. Also, FYI, when I install from the daily builds, it also pulls in the daily numpy build too (so not necessary to install numpy first, but still useful to install dependencies).

see my comment.when using pip, you need to satisfy its deps first.

@gfyoung

This comment has been minimized.

Contributor

gfyoung commented May 9, 2017

@jreback : Not necessarily, as pip takes care of that for you. But will change nonetheless.

TST: Add pandas wheels to Travis build
Add pandas 0.20.1 and master to Travis.
Drop 0.16.2 and Python 3.4 machines.

Closes gh-307.
@gfyoung

This comment has been minimized.

Contributor

gfyoung commented May 9, 2017

@jreback : I fixed the installation for the master machine. Ready to merge now.

@jreback jreback merged commit be9ab85 into pydata:master May 9, 2017

1 check failed

continuous-integration/travis-ci/pr The Travis CI build failed
Details
@jreback

This comment has been minimized.

Contributor

jreback commented May 9, 2017

prob should say only supports >= 0.17.0 or something. can you add a whatsnew/0.4.0 (and add this).

@gfyoung

This comment has been minimized.

Contributor

gfyoung commented May 9, 2017

@jreback : Sounds good will do (also drop Python 3.4).

@gfyoung gfyoung deleted the gfyoung:pandas-wheels-test-add branch May 9, 2017

@gfyoung gfyoung referenced this pull request May 9, 2017

Merged

DOC: Add doc for v0.4.0 #314

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment